## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# URISupport::InvalidURIException Class Reference

`#include <URISupport.hpp>`

Inheritance diagram for URISupport::InvalidURIException

Collaboration diagram for URISupport::InvalidURIException:

List of all members.

## Public Methods

- InvalidURIException (const XalanDOMString& theMessage)
    Construct an InvalidURIException. More...
- virtual ~InvalidURIException ()

## Constructor & Destructor Documentation

URISupport::InvalidURIException::InvalidURIException ( | const XalanDOMString & theMessage )

Construct an InvalidURIException.

Parameters:

  theMessage | the error message

virtual URISupport::InvalidURIException::~InvalidURIException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- URISupport.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.